Loading...
Searching...
No Matches
gridgluecommunicate.hh File Reference

Describes the parallel communication interface class for Dune::GridGlue. More...

`#include <type_traits>`
`#include <dune/common/bartonnackmanifcheck.hh>`
`#include <dune/common/parallel/communicator.hh>`
`#include <dune/grid/common/datahandleif.hh>`
`#include <dune/grid/common/gridenums.hh>`

Go to the source code of this file.

## Classes

struct | Dune::GridGlue::GlobalId
class | Dune::GridGlue::CommDataHandle< DataHandleImp, DataTypeImp >
| describes the features of a data handle for communication in parallel runs using the GridGlue::communicate methods. More...
class | Dune::GridGlue::StreamingMessageBuffer< DT >
class | Dune::GridGlue::CommunicationOperator< dir >
| forward gather scatter to user defined CommInfo class More...
struct | Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp >
| collects all GridGlue data required for communication More...
struct | Dune::CommPolicy< ::Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp > >
| specialization of the CommPolicy struct, required for the ParallelIndexsets More...

## Namespaces

namespace | Dune
namespace | Dune::GridGlue

## Typedefs

typedef std::pair< int, int > | Dune::GridGlue::RankPair
typedef CommunicationOperator< Dune::ForwardCommunication > | Dune::GridGlue::ForwardOperator
typedef CommunicationOperator< Dune::BackwardCommunication > | Dune::GridGlue::BackwardOperator

## Functions

std::ostream & | Dune::GridGlue::operator<< (std::ostream &os, const GlobalId &id)

## Detailed Description

Describes the parallel communication interface class for Dune::GridGlue.

Author
  Christian Engwer